@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.olwso25aue.bundle.scp.css';

/* /Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-wm504dxn4x] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-wm504dxn4x] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Pages/Questionnaire.razor.rz.scp.css */
.answers-container[b-m3utow0034]{
    display:flex;
    flex-direction:column;
    gap:15px;
}

.answer-btn[b-m3utow0034]{
    width:100%;
    border:2px solid #dee2e6;
    border-radius:14px;
    padding:20px;
    font-size:1.2rem;
    font-weight:600;
    background:white;
    transition:all .2s ease;
    text-align:center;
}

.answer-btn:hover[b-m3utow0034]{
    border-color:#0d6efd;
    background:#f8fbff;
}

.answer-selected[b-m3utow0034]{
    border-color:#0d6efd;
    background:#e7f1ff;
}

.chart-bar[b-m3utow0034]{
    height:32px;
    border-radius:8px;
    margin-bottom:10px;
    color:white;
    font-weight:600;
    padding-left:15px;
    display:flex;
    align-items:center;
}

.chart-yes[b-m3utow0034]{
    background:#198754;
}

.chart-no[b-m3utow0034]{
    background:#dc3545;
}

.chart-dontknow[b-m3utow0034]{
    background:#ffc107;
    color:black;
}

.validation-message[b-m3utow0034]{
    color:#dc3545;
    font-size:.9rem;
    margin-top:5px;
}

.loading-overlay[b-m3utow0034]{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.65);
    z-index:99999;

    display:flex;
    align-items:center;
    justify-content:center;
}

.loading-overlay .spinner-border[b-m3utow0034]{
    width:5rem;
    height:5rem;
}
